org.eclipse.mat.internal.snapshot.inspections

## Enum CompareTablesQuery.Operation

- java.lang.Object
- - java.lang.Enum<CompareTablesQuery.Operation>
  - - org.eclipse.mat.internal.snapshot.inspections.CompareTablesQuery.Operation

All Implemented Interfaces:
  Serializable, Comparable<CompareTablesQuery.Operation>

Enclosing class:
  CompareTablesQuery

    public static enum CompareTablesQuery.Operation
    extends Enum<CompareTablesQuery.Operation>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALL`
`DIFFERENCE`
`INTERSECTION`
`NONE`
`REVERSE_DIFFERENCE`
`SYMMETRIC_DIFFERENCE`
`UNION`

### Method Summary

All Methods Static Methods Concrete Methods
`static CompareTablesQuery.Operation` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CompareTablesQuery.Operation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final CompareTablesQuery.Operation NONE

#### ALL

    public static final CompareTablesQuery.Operation ALL

#### INTERSECTION

    public static final CompareTablesQuery.Operation INTERSECTION

#### UNION

    public static final CompareTablesQuery.Operation UNION

#### SYMMETRIC_DIFFERENCE

    public static final CompareTablesQuery.Operation SYMMETRIC_DIFFERENCE

#### DIFFERENCE

    public static final CompareTablesQuery.Operation DIFFERENCE

#### REVERSE_DIFFERENCE

    public static final CompareTablesQuery.Operation REVERSE_DIFFERENCE

### Method Detail

#### values

    public static CompareTablesQuery.Operation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CompareTablesQuery.Operation c : CompareTablesQuery.Operation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CompareTablesQuery.Operation valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null